#include <bits/stdc++.h>
using namespace std;
using namespace std;
typedef long long ll;
typedef vector <int> vi;
typedef pair <int,int> pii;
typedef pair<ll,ll> pll;
typedef vector<ll> vll;
#define A first
#define B second
#define PB push_back
#define MP make_pair
#define all(v) v.begin(),v.end()
#define FAST ios_base::sync_with_stdio(false),cin.tie(0),cout.tie(0);

int main()
{
    FAST
    int n,m;
    cin>>n>>m;
    pii red[n];
    pii kol[m];
    for(int i=0;i<n;i++) cin>>red[i].A>>red[i].B;
    for(int i=0;i<m;i++) cin>>kol[i].A>>kol[i].B;
    if(n==1) cout<<red[0].B;
    return 0;
}